// $LastChangedDate: 2009-05-15 14:25:58 -0500 (Fri, 15 May 2009) $
// Fragment shader (default).

@include inc_frag.glsl

/*****************************************************************************
 * Fragment shader.
 *****************************************************************************/
void main( void )
{
	vec4 texColor  = texture2D( uni_texture_0, gl_TexCoord[0].st );
	gl_FragColor   = texColor * var_lightIntensity;
	gl_FragColor.a = texColor.a;

    // Apply fog.
    @include inc_fog_frag.glsl

    // Apply brightness.
    @include inc_brightness_frag.glsl

    // Apply shadow.
    @include inc_shadow_frag.glsl
}
