-- $LastChangedDate: 2009-05-11 18:50:07 -0500 (Mon, 11 May 2009) $
-- Macros written in Lua to expand C++ code for bindings between C++/Lua.

bindTable = {

class = "ShaderSettings",
typesig = nil,
luaCanInstantiate = false,

headers =
[[
#include "base/module.hh"
using namespace base;
#include "shader/module.hh"
#include "shader/shader_settings.hh"
using namespace shader;
]],

func_SetBrightness = {
    comments = "ShaderSettings:SetBrightness( float )",
    code = [[
		GET_SHADER_SETTINGS().SetBrightness( POP_FP(L) );
    ]]
},

func_GetBrightness = {
    comments = "float ShaderSettings:GetBrightness()",
    code = [[
		lua_pushnumber( L, GET_SHADER_SETTINGS().GetBrightness() );
		return 1;  // number of pushed values
    ]]
},

}
