/*****************************************************************************
 * $LastChangedDate: 2009-05-06 20:36:12 -0500 (Wed, 06 May 2009) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Definitions.
 *          THESE ARE GLOBALS!  TRY TO USE ONLY BASIC COMPILE-TIME CONSTANTS.
 *//*
 * LEGAL:   COPYRIGHT (C) 2009 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef SHADER_DEFS_HH
#define SHADER_DEFS_HH 1

namespace shader {
namespace defs {

// std::string will cause load-time initialization problems vs. ShaderName but C char[] won't.
#define SHADER_NAME_DEFAULT "default"
#if COMPILE_HW_LIGHT
#define SHADER_NAME_HW "hw"
#endif

} // namespace defs
} // namespace shader

#endif // SHADER_DEFS_HH
